gnutls_session_get_server_random(3)

NAME
gnutls_session_get_server_random - get the session's server random value

SYNOPSIS
#include <gnutls/gnutls.h>

const void * gnutls_session_get_server_random(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Return a pointer to the 32-byte server random field used in the session. The pointer must not be modified or deallocated. If a server random value has not yet been established, the output will be garbage; in particular, a NULL return value should not be expected.

RETURN VALUE
pointer to server random.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.